Skip to content
Assets Overview

Get All Users Cash Balance

This interface is used to retrieve the cash balance information for all users on the platform in a paginated manner. By providing pagination parameters page and size, it returns each account and its corresponding multi-currency cash amounts.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/asset/all_cash

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

pageintegerOptional

page

sizeintegerOptional

size

Responses

HTTP 200Success
Standard response envelopecodemessagedata
dataobjectdata structure
list_detailsobjectrequired

list_details

Child attributes
account_nostringrequired

account_no

total_cashobjectrequired

total_cash

Child attributes
map<string,string>stringrequired

map<string,string>

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs